package com.sunxung.factoring.entity.financing.apply.vo;

import java.math.BigDecimal;

/**
 * @Description : C端融资申请信息
 * @Author : L.Jia
 * @Date: 2023-12-19 10:30
 */
public class FinancingApply {

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 业务占用金额
     */
    private BigDecimal businessOccupyAmount;

    /**
     * 供应商Id
     */
    private Long supplierId;

    /**
     * 供应商占用金额
     */
    private BigDecimal supplierOccupyAmount;

    /**
     * 应收账款净额
     */
    private BigDecimal netAccountsReceivableAmount;

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public BigDecimal getBusinessOccupyAmount() {
        return businessOccupyAmount;
    }

    public void setBusinessOccupyAmount(BigDecimal businessOccupyAmount) {
        this.businessOccupyAmount = businessOccupyAmount;
    }

    public BigDecimal getSupplierOccupyAmount() {
        return supplierOccupyAmount;
    }

    public void setSupplierOccupyAmount(BigDecimal supplierOccupyAmount) {
        this.supplierOccupyAmount = supplierOccupyAmount;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public BigDecimal getNetAccountsReceivableAmount() {
        return netAccountsReceivableAmount;
    }

    public void setNetAccountsReceivableAmount(BigDecimal netAccountsReceivableAmount) {
        this.netAccountsReceivableAmount = netAccountsReceivableAmount;
    }
}
